// creator  : weidu.exe (version 23100)
// argument : _GHORAK.DLG
// game		 : .
// source	 : ./override/_GHORAK.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_GHORAK~

IF ~Global("HelpGhorak","GLOBAL",1)
Global("HelpAgnasia","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #81708 /* ~Diseased! Diseased! Stand well back... Diseased! Diseased...~ */
  IF ~~ THEN EXIT
END

IF ~Global("HelpGhorak","GLOBAL",0)
~ THEN BEGIN 1 // from:
  SAY #81709 /* ~For your own health and that of your children, come no closer. I was cursed with this fell disease as punishment for my wickedness... Diseased! Diseased! Stand well back...~ */
  IF ~~ THEN REPLY #81710 /* ~Let us cure you of your affliction.~ */ GOTO 2
  IF ~~ THEN REPLY #81711 /* ~I'm sorry, but there is little that we can do to help you.~ */ DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #81712 /* ~No, your potions and magics are of little use. The only way to cure this sickness is to right the wrongs of the past. Behind a painting at the Three Old Kegs, you will find the skull of my brother, Kereph. Take it to Agnasia in The Lady's Hall. She will know what to do with it.~ */
  IF ~~ THEN DO ~SetGlobal("HelpGhorak","GLOBAL",1)
~ UNSOLVED_JOURNAL #81713 /* ~Ghorak the Diseased

Upon offering to cure Ghorak the Diseased in his house in Baldur's Gate, he asked a dark favor of me.  Behind a painting at the Three Old Kegs lies the skull of his brother, Kereph.  I am to present the skull to Agnasia in The Lady's Hall, where perhaps I will learn more of this sorry tale.~ */ EXIT
  IF ~Global("X#GarGor","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarGor","GLOBAL",1)~ EXTERN ~_GARRIJ~ 72
END

IF ~Global("HelpGhorak","GLOBAL",1)
Global("HelpAgnasia","GLOBAL",1)
~ THEN BEGIN 3 // from:
  SAY #81714 /* ~I... I am cured. After all these long years of rotting away, an end has come. Blessed be Tymora and may my brother at last have peace. You are kinder than you'll ever know.~ */
  IF ~~ THEN DO ~EraseJournalEntry(81713)
EraseJournalEntry(88938)
SetGlobal("HelpGhorak","GLOBAL",2)
AddexperienceParty(1000)
ReputationInc(1)
Polymorph(FIGHTER_MALE_HUMAN)
~ SOLVED_JOURNAL #88939 /* ~Ghorak the Cured!

Just as Agnasia predicted, the return of Kereph's skull to the keeping of Tymora did indeed release Ghorak from his wasting curse.  He was overjoyed at his own improved condition, and at the idea that his brother Kereph at last had found peace.~ */ EXIT
END

IF ~True()
~ THEN BEGIN 4 // from:
  SAY #81715 /* ~Not diseased! Not diseased! Come as close as you want... Not diseased! Not diseased!~ */
  IF ~~ THEN EXIT
  IF ~Global("X#QuaGhor","GLOBAL",0)
InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#QuaGhor","GLOBAL",1)~ EXTERN ~_QUAYLJ~ 34
END

IF ~False()
~ THEN BEGIN 5 // from:
  SAY #81716 /* ~I have nothing but my past and, I assure you, you do not want it.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #100851 /* ~What? Oh, you misunderstand. How wonderful to be healthy again!~ */
  IF ~~ THEN EXIT
END
